eBay Trading APIVersion 1475
 

ReturnsWithinOptionsCodeType ( token )

This enumerated type is used by the deprecated ReturnsWithinOption and contains the list of values that can be used by the seller in an Add/Revise/Relist call to set the number of days (after the purchase date) that a buyer has to return an item (if the return policy states that items can be returned) for a refund or an exchange.

Note: To determine which return periods are supported for a specific leaf category on a specific eBay marketplace, use the Metadata API getReturnPolicies method. Pass the target marketplace_id and the category ID in the filter query parameter, and then inspect the returnPolicies.domestic.returnPeriods and returnPolicies.international.returnPeriods fields in the response.

No calls use ReturnsWithinOptionsCodeType.

Enumeration Values

Value Description
CustomCode This value is reserved for internal or future use.
Days_14 The seller specifies this value to enable a 14-day return policy. A buyer must return an item within 14 days after purchase in order to receive a refund or an exchange/replacement item.
Days_30 The seller specifies this value to enable a 30-day return policy. A buyer must return an item within 30 days after purchase in order to receive a refund or an exchange/replacement item.

Note: To qualify as a Top-Rated Plus listing, a 30-day (or longer) return period must be set.
Days_60 The seller specifies this value to enable a 60-day return policy. A buyer must return an item within 60 days after purchase in order to receive a refund or an exchange/replacement item.
  * See the Enumeration Index to see exact use of each enumeration value in the API.